raptor2 (2.0.14-1ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: heap-based overflow via nspace declarations
    - debian/patches/CVE-2017-18926.patch: calcualte max nspace
      declarations correctly for XML writer in src/raptor_xml_writer.c.
    - CVE-2017-18926

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Nov 2020 07:34:07 -0500

raptor2 (2.0.14-1) unstable; urgency=medium

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.14
  * debian/control: Mark debug package as Multi-Arch: same [lintian]

 -- Dave Beckett <dajobe@debian.org>  Mon, 05 May 2014 11:15:00 -0700

raptor2 (2.0.13-1) unstable; urgency=medium

  * New upstream release
  * Removed upstream patch 001-memset-transposed.patch

 -- Dave Beckett <dajobe@debian.org>  Thu, 30 Jan 2014 10:22:12 -0800

raptor2 (2.0.12-4) unstable; urgency=low

  * Use dh-autoreconf at build time to support new ports. 
    Patch from Steve Langasek - thanks. (Closes: #735400)
  * debian/rules: Altered clean target to work with dh_autoreconf
    deleting Makefile it needs.

 -- Dave Beckett <dajobe@debian.org>  Sun, 26 Jan 2014 10:54:15 -0800

raptor2 (2.0.12-3) unstable; urgency=low

  * Remove versioned build-depends on pkg-config (Closes: #734485)

 -- Dave Beckett <dajobe@debian.org>  Sun, 12 Jan 2014 19:28:18 -0800

raptor2 (2.0.12-2) unstable; urgency=low

  * Add Multi-Arch support
  * debian/control: Standards version 3.9.5

 -- Dave Beckett <dajobe@debian.org>  Sun, 15 Dec 2013 12:39:06 -0800

raptor2 (2.0.12-1) unstable; urgency=medium

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.12
  * Added patch 001-memset-transposed.patch to fix transposed memset args

 -- Dave Beckett <dajobe@debian.org>  Fri, 13 Dec 2013 19:09:00 -0800

raptor2 (2.0.11-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.11

 -- Dave Beckett <dajobe@debian.org>  Sun, 24 Nov 2013 17:27:08 -0800

raptor2 (2.0.10-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.10

 -- Dave Beckett <dajobe@debian.org>  Sat, 31 Aug 2013 11:02:11 -0700

raptor2 (2.0.9-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/001-remove-m-strict-help.patch merged upstream

 -- Dave Beckett <dajobe@debian.org>  Sat, 09 Mar 2013 14:47:28 -0800

raptor2 (2.0.8-2) unstable; urgency=low

  * debian/control: add a breaks relation by libraptor2-0 against squeeze
    libraptor1 to force upgrades to a version with symbol versioning
    (Closes: #656928)
  * Added debian/patches/001-remove-m-strict-help.patch to remove -m strict
    from rapper help (Closes: #685682)

 -- Dave Beckett <dajobe@debian.org>  Fri, 07 Sep 2012 21:32:35 -0700

raptor2 (2.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.8
  * Make 'make clean' repeatable again

 -- Dave Beckett <dajobe@debian.org>  Sun, 24 Jun 2012 23:14:51 -0700

raptor2 (2.0.7-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Thu, 22 Mar 2012 09:34:50 -0700

raptor2 (2.0.6-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.6

 -- Dave Beckett <dajobe@debian.org>  Sun, 27 Nov 2011 16:23:53 -0800

raptor2 (2.0.5-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.5

 -- Dave Beckett <dajobe@debian.org>  Tue, 22 Nov 2011 14:14:44 -0800

raptor2 (2.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #632836)
  * debian/libraptor2-0.shlibs: 2.0.4 (Closes: #635003)
  * debian/control: libraptor2-dev recommends raptor2-utils (Closes: #625910)
  * debian/rules: use make distclean to avoid destroying docs/html

 -- Dave Beckett <dajobe@debian.org>  Mon, 25 Jul 2011 23:36:14 -0700

raptor2 (2.0.3-1) unstable; urgency=low

  * New upstream release
  * Standards version 3.9.2

 -- Dave Beckett <dajobe@debian.org>  Wed, 01 Jun 2011 21:13:59 -0700

raptor2 (2.0.2-1) unstable; urgency=low

  * New upstream release
  * Add Build-Depend: on libyajl-dev to get JSON parser correctly included

 -- Dave Beckett <dajobe@debian.org>  Sun, 20 Mar 2011 18:15:00 -0700

raptor2 (2.0.0-2) unstable; urgency=low

  * Added version symbols (Closes: #613672)
  * Update debian/copyright to mention public domain files

 -- Dave Beckett <dajobe@debian.org>  Wed, 23 Feb 2011 12:53:40 -0800

raptor2 (2.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.0

 -- Dave Beckett <dajobe@debian.org>  Tue, 04 Jan 2011 08:22:11 -0800

raptor2 (1.9.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: updated to mention copyright for bison-generated
    files and librdfa files
  * debian/libraptor2-0.shlibs: 1.9.1

 -- Dave Beckett <dajobe@debian.org>  Wed, 01 Dec 2010 23:20:09 -0800

raptor2 (1.9.0-1) unstable; urgency=low
 
   * New upstream release
   * debian/control:
     - Standards version 3.9.1
     - Renamed all packages: (following library packaging
       guidelines),  libraptor2-0, libraptor2-dev, libraptor2-0-dbg,
       libraptor2-doc and raptor2-utils
     - raptor2-utils conflicts and replaces raptor-utils since it
       provides a rapper binary and manpage
     - Tidy the descriptions
   * Do not put libtool .la file into dev package.
   * Add docs/upgrade-script.pl to libraptor2-dev in examples dir

 -- Dave Beckett <dajobe@debian.org>  Mon, 16 Aug 2010 17:29:46 -0700

raptor (1.4.21-2) unstable; urgency=low

  * debian/control:
    - Standards version 3.8.4
    - Turn libraptor1 Recommends: raptor-utils into Suggests: because this
      is not needed for regular library-using users (Closes: #573270)
  * debian/patches/01-write_bytes.patch: Added from upstream GIT to fix
    write_bytes() factory return values
  
 -- Dave Beckett <dajobe@debian.org>  Wed, 10 Mar 2010 06:56:48 -0800

raptor (1.4.21-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sat, 30 Jan 2010 08:47:31 -0800

raptor (1.4.20-2) unstable; urgency=low

  * Add debug package libraptor1-dbg
  * debian/control: Remove Vcs-Svn fields since those were upstream SVN
    not packaging.

 -- Dave Beckett <dajobe@debian.org>  Fri, 18 Dec 2009 12:07:00 -0800

raptor (1.4.20-1) unstable; urgency=low

  * New upstream release
  * Update to standards version 3.8.3

 -- Dave Beckett <dajobe@debian.org>  Sat, 28 Nov 2009 22:23:57 -0800

raptor (1.4.19-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Wed, 19 Aug 2009 14:22:53 -0700

raptor (1.4.18-3) unstable; urgency=low

  * Remove libtool dependency_libs from libraptor.la
  * debian/control: Add Homepage, Vcs-* headers

 -- Dave Beckett <dajobe@debian.org>  Sun, 12 Apr 2009 14:08:11 -0700

raptor (1.4.18-2) unstable; urgency=low

  * Link to libcurl-gnutls to remove openssl linking (Closes: #519070, #519695)
  * Update to standards version 3.8.1
  * debian/control: add depends: ${misc:Depends} for debhelper [lintian]
  * debian/libraptor1-doc.doc-base: make separate an empty line [lintian]

 -- Dave Beckett <dajobe@debian.org>  Fri, 27 Mar 2009 15:40:00 -0800

raptor (1.4.18-1) unstable; urgency=low

  * New upstream release
  * Bump shlibs to 1.4.18 since the API grew
  * debian/copyright: use pointer to /usr/share/common-licenses/Apache-2.0
  * Does not link to -lcares (Closes: #498027)

 -- Dave Beckett <dajobe@debian.org>  Sun, 07 Sep 2008 13:54:03 -0700

raptor (1.4.17-1) unstable; urgency=low

  * New upstream release
  * Rebuild against libcurl4-gnutls-dev rather than libcurl4-openssl-dev
    (Closes: #463344)
  * debian/control: depend on libtool 1.5 rather than older debian specific
    release
  * debian/copyright: 2008
  * debian/libraptor1-doc.doc-base: Use a correct Section:

 -- Dave Beckett <dajobe@debian.org>  Tue, 01 Apr 2008 22:06:01 -0700

raptor (1.4.16-1) unstable; urgency=low

  * New upstream release
  * Bump shlibs to 1.4.16 since the API grew

 -- Dave Beckett <dajobe@debian.org>  Mon, 01 Oct 2007 00:25:06 -0700

raptor (1.4.15-4) unstable; urgency=low
  * Install gtk-doc files under dir /usr/share/gtk-doc/html/raptor not
    libraptor so that devhelp can find raptor.devhelp{,2}

 -- Dave Beckett <dajobe@debian.org>  Sun, 26 Aug 2007 10:59:37 -0700

raptor (1.4.15-3) unstable; urgency=low

  * Use libcurl4-openssl-dev since libcurl3-openssl-dev has been
    removed (Closes: #424647)

 -- Dave Beckett <dajobe@debian.org>  Thu, 28 Jun 2007 07:27:31 -0700

raptor (1.4.15-2) unstable; urgency=low

  * Bump shlibs to 1.4.14 since the API grew (Closes: #411356)

 -- Dave Beckett <dajobe@debian.org>  Sat, 14 Apr 2007 11:22:09 -0700

raptor (1.4.15-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Mon, 26 Mar 2007 23:56:18 -0700

raptor (1.4.14-1) experimental; urgency=low

  * New upstream release
    - raptor.pc now uses Libs.private (Closes: #405242)
    - libraptor1-dev thus requires pkg-config (>= 0.18)

 -- Dave Beckett <dajobe@debian.org>  Wed, 31 Jan 2007 23:34:00 -0800

raptor (1.4.13-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun, 22 Oct 2006 21:15:07 -0700

raptor (1.4.12-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun, 27 Aug 2006 10:56:47 -0700

raptor (1.4.11-1) unstable; urgency=low

  * New upstream release
  * Removed patch 01-rss-serialize.patch merged upstream
  * Bump shlibs for 1.4.11

 -- Dave Beckett <dajobe@debian.org>  Sat, 26 Aug 2006 21:30:03 -0700

raptor (1.4.10-1) unstable; urgency=low

  * New upstream release
  * Removed patch debian/01-rss-parser-early-triples.patch merged upstream
  * Standards version 3.7.2
  * Added patch 01-rss-serialize.patch from Subversion to make RSS
    serializing work again.

 -- Dave Beckett <dajobe@debian.org>  Sat, 12 Aug 2006 10:59:23 -0700

raptor (1.4.9-2) unstable; urgency=low

  * Added patch debian/01-rss-parser-early-triples.patch to fix crashes
    with RSS parser.

 -- Dave Beckett <dajobe@debian.org>  Thu, 11 May 2006 06:29:35 -0700

raptor (1.4.9-1) unstable; urgency=low

  * New upstream release
  * Bump shlibs for 1.4.9
  * debian/copyright: 2006

 -- Dave Beckett <dajobe@debian.org>  Sat, 22 Apr 2006 15:29:32 -0700

raptor (1.4.8-3) unstable; urgency=low

  * Rebuild because libcurl was broken at some point (Closes: #355330)
  * Build-Depend against a specific curl and SSL combination:
    libcurl3-openssl-dev (Closes: #333259)
  * debian/compat, debian/control: Update to debhelper 5 compat.
  * debian/copyright: Update copyright info, urls.  FSF have moved.

 -- Dave Beckett <dajobe@debian.org>  Sat,  4 Mar 2006 18:13:36 -0800

raptor (1.4.8-2) unstable; urgency=low

  * Bump shlibs for 1.4.8 

 -- Dave Beckett <dajobe@debian.org>  Sun, 15 Jan 2006 19:26:26 -0800

raptor (1.4.8-1) unstable; urgency=low

  * New upstream release
  * Added libraptor1-doc package for the new gtk-doc html
  * debian/watch: Updated url

 -- Dave Beckett <dajobe@debian.org>  Mon,  2 Jan 2006 23:09:34 -0800

raptor (1.4.7-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Wed,  8 Jun 2005 15:42:44 +0100

raptor (1.4.6-1) unstable; urgency=low

  * New upstream release
  * Add Build-Depend on libxslt1-dev for GRDDL parser

 -- Dave Beckett <dajobe@debian.org>  Sun, 29 May 2005 18:47:13 +0100

raptor (1.4.5-2) unstable; urgency=low

  * Remove libcurl2 Build-Depend possiblities, removed from the archive.
  * Bumped shlibs to 1.4.4 as new functions were added in 1.4.3

 -- Dave Beckett <dajobe@debian.org>  Wed, 23 Mar 2005 18:31:20 +0000

raptor (1.4.5-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun,  6 Feb 2005 18:26:24 +0000

raptor (1.4.4-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sat, 15 Jan 2005 19:54:42 +0000

raptor (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sat,  8 Jan 2005 20:59:39 +0000

raptor (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Mon,  1 Nov 2004 22:30:03 +0000

raptor (1.4.0-1) unstable; urgency=low

  * New upstream release
  * Convert rules to use CDBS

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Tue, 26 Oct 2004 00:30:23 +0100

raptor (1.3.3-1) unstable; urgency=low

  * New upstream release
  * License changed to LGPL2.1 / Apache 2.0
  * Expanded RDF in the package descriptions.  Closes: 266390
  * Require libxml2 2.5.10+ for RSS Tag Soup parser Atom 0.3 support

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Fri, 24 Sep 2004 22:36:41 +0100

raptor (1.3.2-1) unstable; urgency=low

  * New upstream release
  * Added debian/watch
  * Update copyright for 2004
  * Remove --disable-nfc-check - code has been removed upstream.

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Tue, 27 Jul 2004 11:24:08 +0100

raptor (1.3.1-3) unstable; urgency=low

  * Update to depend on libcurl3-dev | libcurl2-dev
  * Unicode NFC checking is broken via GNOME glib so added
    --disable-nfc-check and removed the libglib2.0-dev dependency. 
  
 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Mon, 19 Jul 2004 00:08:57 +0100

raptor (1.3.1-2) unstable; urgency=low

  * Restore libraptor1-dev depend on libxml2-dev, libcurl2-dev,
    libglib2.0-dev.  I suck.
  * Added --enable-release to not deleted compile options.

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sun, 13 Jun 2004 23:54:28 +0100

raptor (1.3.1-1) unstable; urgency=low

  * New upstream release. Closes: 234246, 253968
  * Apologies that the 1.3.0-1 release did not deal with 234246.
  * Remove libraptor1-dev depend on libxml2-dev, libcurl2-dev, libglib2.0-dev

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sat, 12 Jun 2004 22:22:19 +0100

raptor (1.3.0-1) unstable; urgency=low

  * New upstream release. Closes: 234246

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sat, 29 May 2004 22:02:30 +0100

raptor (1.2.0-2) unstable; urgency=low

  * Make sure raptor-utils has a libraptor >= 1.2.0-1

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Mon, 26 Jan 2004 11:57:56 +0000

raptor (1.2.0-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sat, 24 Jan 2004 16:35:44 +0000

raptor (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 3.6.1 (no changes needed)

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Wed, 31 Dec 2003 17:44:11 +0000

raptor (1.0.0-5) unstable; urgency=low

  * libraptor1-dev recommends raptor-utils
  * libraptor1-dev conflicts with libraptor1 1.0.0-4 or earlier 
    over libraptor.3

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Fri, 12 Sep 2003 13:43:24 +0100

raptor (1.0.0-4) unstable; urgency=low

  * Really move libraptor.3 into libraptor1-dev
  * libraptor1-dev conflicts with libraptor-dev over libraptor.3

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Fri, 12 Sep 2003 12:58:29 +0100

raptor (1.0.0-3) unstable; urgency=low

  * libraptor1-dev conflicts with libraptor0-dev over libraptor.3

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Fri, 12 Sep 2003 12:41:48 +0100

raptor (1.0.0-2) unstable; urgency=low

  * Added raptor-utils to hold the rapper program

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Thu, 11 Sep 2003 12:49:49 +0100

raptor (1.0.0-1) unstable; urgency=low

  * New upstream release (1.0.0) with new soname 1

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Mon,  8 Sep 2003 14:43:13 +0100

raptor (0.9.12-1) unstable; urgency=low

  * New upstream release (0.9.12)

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Mon, 25 Aug 2003 20:35:12 +0100

raptor (0.9.11-3) unstable; urgency=high

  * Add Depends: for libraptor0-dev to all the dev libraries already
    listed in Build-Depends: (closes: #204539)

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sun, 10 Aug 2003 00:04:38 +0100

raptor (0.9.11-2) unstable; urgency=low

  * Fix build to not be a native package. 

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Thu, 31 Jul 2003 22:33:21 +0100

raptor (0.9.11-1) unstable; urgency=low

  * New upstream release (0.9.11)
  * Fix typo and update package description (closes: #202776)
  * Update to Standards-Version 3.6.0

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Thu, 31 Jul 2003 20:55:51 +0100

raptor (0.9.10-2) unstable; urgency=low

  * First release to Debian archive. (Closes: #151388)

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Wed, 25 Jun 2003 22:58:15 +0100

raptor (0.9.10-1) unstable; urgency=low

  * New upstream release (0.9.10).

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Thu, 17 Apr 2003 20:30:59 +0100

raptor (0.9.9-1) unstable; urgency=low

  * New upstream release (0.9.9).

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Thu, 29 Mar 2003 22:03:00 -0000

raptor (0.9.8-2) unstable; urgency=low
 
  * (libraptor0-dev) Add missing raptor-config.
  * Manual page for raptor-config.
 
 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Thu, 13 Feb 2003 18:42:00 -0000
 
raptor (0.9.8-1) unstable; urgency=low

  * New upstream release (0.9.8).

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Thu, 13 Feb 2003 11:12:54 -0000

raptor (0.9.6-1) unstable; urgency=low

  * New upstream release (0.9.6).

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sat,  2 Nov 2002 17:39:18 +0000

raptor (0.9.5-2) unstable; urgency=low

  * Renamed package names, updates for policy

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Sat, 15 Jun 2002 22:25:45 +0100

raptor (0.9.5-1) unstable; urgency=low

  * Initial Release.
  * First Debian package.

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Thu, 13 Jun 2002 17:27:03 +0100

